import { __ } from '@wordpress/i18n';
import { ColorInput } from '@library';

export const TextStyles = ( { formData, handleChange } ) => {
	return (
		<>
			<ColorInput
				label={ __( 'Heading Color', 'tasty-roundups' ) }
				id="tasty-roundups-text-heading-color"
				name="tasty_roundups_settings[heading_color]"
				color={ formData.headingColor }
				setColor={ ( color ) => {
					handleChange( 'headingColor', color );
				} }
			/>
			<ColorInput
				label={ __( 'Text Color', 'tasty-roundups' ) }
				id="tasty-roundups-text-text-color"
				name="tasty_roundups_settings[text_color]"
				color={ formData.textColor }
				setColor={ ( color ) => {
					handleChange( 'textColor', color );
				} }
			/>
		</>
	);
};
